Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.analysis
Class EZBinCImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.PhaseCImpl
                  |
                  +--swarm.analysis.EZBinCImpl

public class EZBinCImpl
extends PhaseCImpl
implements SwarmObjectC, SwarmObjectS, GUICompositeC, GUICompositeS, EZBinS, EZBinC

An easy to use histogram interface.. This class allows the user to easily histogram data generated by a collection of objects. In addition the class will generate some standard statistics over the resulting dataset.

Fields inherited from class swarm.PhaseCImpl
`nextPhase`

Constructor Summary
`EZBinCImpl()`
`EZBinCImpl(EZBin nextPhase)`

Methods implemented by this class for interface swarm.analysis.EZBinC
`setAxisLabelsX$Y, setBinCount, setCollection, setColors$count, setFileName, setFileOutput, setGraphics, setLowerBound, setMonoColorBars, setProbedSelector, setTitle, setUpperBound`

Methods implemented by this class for interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods implemented by this class for interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Methods implemented by this class for interface swarm.simtoolsgui.CompositeWindowGeometryRecordNameC
`setWindowGeometryRecordNameForComponent$widget`

Methods implemented by this class for interface swarm.simtoolsgui.WindowGeometryRecordNameC
`setSaveSizeFlag, setWindowGeometryRecordName`

Methods inherited from class swarm.PhaseCImpl
`_copy_creating_phase_to_using_phase`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EZBinCImpl

    public EZBinCImpl(EZBin nextPhase)

### EZBinCImpl

    public EZBinCImpl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD